À propos des correctifs de sécurité d’iOS 10.1

Ce document décrit les correctifs de sécurité d’iOS 10.1.

À propos des mises à jour de sécurité Apple

Dans un souci de protection de ses clients, Apple s’interdit de divulguer, d’aborder ou de confirmer l’existence de failles de sécurité tant qu’une enquête n’a pas été effectuée et que des correctifs ou mises à jour ne sont pas disponibles. Les mises à jour récentes sont répertoriées sur la page Mises à jour de sécurité Apple.

Pour obtenir plus d’informations en matière de sécurité, consultez la page Sécurité produit Apple. Vous pouvez chiffrer les communications avec Apple à l’aide de la Clé PGP du groupe de sécurité produit d’Apple.

Les documents de sécurité Apple répertorient les vulnérabilités par référence CVE dans la mesure du possible.

iOS 10.1

Publié le 24 octobre 2016

AppleMobileFileIntegrity

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, iPod touch 6e génération et modèles ultérieurs.

Conséquence : un fichier exécutable signé peut remplacer un code avec le même identifiant d’équipe.

Description : la gestion des signatures de code présentait un problème de validation. Il a été résolu par une validation supplémentaire.

CVE-2016-7584 : Mark Mentovai et Boris Vidolov de Google Inc.

Entrée ajoutée le 6 décembre 2016

Proxys CFNetwork

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, iPod touch 6e génération et modèles ultérieurs.

Conséquence : un attaquant bénéficiant d’une position privilégiée sur le réseau peut divulguer des données utilisateur sensibles.

Description : le traitement des identifiants de connexion par proxy entraînait un problème de hameçonnage. Le problème a été résolu en supprimant les invites non sollicitées d’authentification par mot de passe sur le proxy.

CVE-2016-7579 : Jerry Decime

Contacts

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, iPod touch 6e génération et modèles ultérieurs.

Conséquence : une application est susceptible de pouvoir conserver l’accès au Carnet d’adresses après sa révocation dans les Réglages.

Description : un problème de contrôle d’accès dans le Carnet d’adresses a été corrigé par une amélioration de la validation fichier-lien.

CVE-2016-4686 : Razvan Deaconescu et Mihai Chiroiu (Université polytechnique de Bucarest), Luke Deshotels et William Enck (Université d’État de Caroline du Nord), Lucas Vincenzo Davi et Ahmad-Reza Sadeghi (Université technique de Darmstadt)

CoreGraphics

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, iPod touch 6e génération et modèles ultérieurs.

Conséquence : l’affichage d’un fichier JPEG malveillant peut entraîner l’exécution arbitraire de code.

Description : un problème de corruption de la mémoire a été résolu par une meilleure gestion de celle-ci.

CVE-2016-4673 : Marco Grassi (@marcograss) de KeenLab (@keen_lab), Tencent

FaceTime

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, iPod touch 6e génération et modèles ultérieurs.

Conséquence : un attaquant disposant d’une position privilégiée sur le réseau peut faire en sorte qu’un appel relayé continue de transmettre du son alors que l’appel semble terminé.

Description : des incohérences liées à l’interface utilisateur existaient au niveau de la gestion des appels relayés. Ces problèmes ont été résolus par une amélioration de la logique du protocole.

CVE-2016-7577 : Martin Vigo (@martin_vigo) de salesforce.com

Entrée ajoutée le 27 octobre 2016

FontParser

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, iPod touch 6e génération et modèles ultérieurs.

Conséquence : l’analyse d’une police malveillante peut révéler des informations sensibles sur les utilisateurs.

Description : un problème de lecture hors limites a été résolu par une meilleure vérification des limites.

CVE-2016-4660 : Ke Liu du Xuanwu Lab de Tencent

FontParser

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, iPod touch 6e génération et modèles ultérieurs.

Conséquence : le traitement d’un fichier de polices malveillant peut entraîner l’exécution arbitraire de code. 

Description : la gestion des fichiers de police présentait un problème de dépassement de la mémoire tampon. Ce problème a été résolu par une meilleure vérification des limites.

CVE-2016-4688 : Simon Huang de Alipay, thelongestusernameofall@gmail.com

Entrée ajoutée le 27 novembre 2016

IDS – Connectivité

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, iPod touch 6e génération et modèles ultérieurs.

Conséquence : un attaquant disposant d’une position privilégiée sur le réseau peut amener un participant à un appel à plusieurs à penser qu’il parle à l’autre partie.

Description : la gestion de la permutation d’appel entraînait un problème d’usurpation d’identité. Ce problème a été résolu par une meilleure gestion des notifications de permutation d’appelant.

CVE-2016-4721 : Martin Vigo (@martin_vigo) de salesforce.com

Entrée ajoutée le 27 octobre 2016

Sauvegarde iTunes

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, iPod touch 6e génération et modèles ultérieurs.

Conséquence : un attaquant ayant accès à une sauvegarde iTunes chiffrée peut être en mesure de trouver le mot de passe de la sauvegarde.

Description : une faiblesse du hachage du mot de passe existait au niveau de la gestion des sauvegardes iTunes chiffrées. Ce problème a été résolu par la suppression de la faiblesse de hachage.

CVE-2016-4685 : Elcomsoft

Entrée ajoutée le 14 novembre 2016

Noyau

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, iPod touch 6e génération et modèles ultérieurs.

Conséquence : un utilisateur local peut être en mesure d’entraîner l’arrêt inopiné du système ou une exécution arbitraire de code au niveau du noyau.

Description : il existait plusieurs problèmes de validation des entrées dans le code généré par MIG. Ces problèmes ont été résolus par une meilleure validation.

CVE-2016-4669 : Ian Beer de Google Project Zero

Entrée ajoutée le 2 novembre 2016

Noyau

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, iPod touch 6e génération et modèles ultérieurs.

Conséquence : une application peut être en mesure de divulguer le contenu de la mémoire du noyau.

Description : un problème de validation a été résolu par un nettoyage amélioré des entrées.

CVE-2016-4680 : Max Bazaliy de Lookout et in7egral

Noyau

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, iPod touch 6e génération et modèles ultérieurs.

Conséquence : une application locale peut exécuter un code arbitraire avec des privilèges racine.

Description : il existait plusieurs problèmes de durée de vie d’objet lors de la génération de nouveaux processus. Ces problèmes ont été résolus par une meilleure validation.

CVE-2016-7613 : Ian Beer de Google Project Zero

Entrée ajoutée le 1er novembre 2016

libarchive

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, iPod touch 6e génération et modèles ultérieurs.

Conséquence : une archive malveillante peut être en mesure d’effacer des fichiers arbitraires.

Description : la logique de validation des liens symboliques présentait un problème. Il a été résolu par un nettoyage amélioré des chemins.

CVE-2016-4679 : Omer Medan de enSilo Ltd

libxpc

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, iPod touch 6e génération et modèles ultérieurs.

Conséquence : une application peut être en mesure d’exécuter du code arbitraire avec des privilèges racine.

Description : un problème de logique a été résolu par des restrictions supplémentaires.

CVE-2016-4675 : Ian Beer de Google Project Zero

Safari

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, iPod touch 6e génération et modèles ultérieurs.

Conséquence : un site Web malveillant peut être en mesure d’entraîner un déni de service.

Description : un problème de déni de service a été résolu par une meilleure gestion des URL.

CVE-2016-7581 : Sabri Haddouche (@pwnsdx)

Entrée mise à jour le 1er décembre 2016

Profils de sandbox

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, iPod touch 6e génération et modèles ultérieurs.

Conséquence : une application peut être en mesure de récupérer les métadonnées de répertoires de photos.

Description : un problème d’accès a été résolu au moyen de restrictions sandbox supplémentaires sur les applications tierces.

CVE-2016-4664 : Razvan Deaconescu et Mihai Chiroiu (Université polytechnique de Bucarest), Luke Deshotels et William Enck (Université d’État de Caroline du Nord), Lucas Vincenzo Davi et Ahmad-Reza Sadeghi (Université technique de Darmstadt)

Profils de sandbox

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, iPod touch 6e génération et modèles ultérieurs.

Conséquence : une application peut être en mesure de récupérer les métadonnées de répertoires d’enregistrements audio.

Description : un problème d’accès a été résolu au moyen de restrictions sandbox supplémentaires sur les applications tierces.

CVE-2016-4665 : Razvan Deaconescu et Mihai Chiroiu (Université polytechnique de Bucarest), Luke Deshotels et William Enck (Université d’État de Caroline du Nord), Lucas Vincenzo Davi et Ahmad-Reza Sadeghi (Université technique de Darmstadt)

Sécurité

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, iPod touch 6e génération et modèles ultérieurs.

Conséquence : un attaquant local peut observer la longueur d’un mot de passe lorsqu’un utilisateur s’identifie.

Description : un problème d’identification existait au sein de la gestion des mots de passe. Il a été résolu en supprimant l’enregistrement de la longueur du mot de passe.

CVE-2016-4670 : Daniel Jalkut de Red Sweater Software

WebKit

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, iPod touch 6e génération et modèles ultérieurs.

Conséquence : le traitement d’un contenu Web malveillant peut entraîner l’exécution arbitraire de code.

Description : plusieurs problèmes de corruption de la mémoire ont été résolus par une meilleure gestion de celle-ci.

CVE-2016-4666 : Apple

CVE-2016-4677 : un chercheur anonyme en collaboration avec le programme Zero Day Initiative de Trend Micro

WebKit

Disponible pour : iPhone 5 et modèles ultérieurs, iPad 4e génération et modèles ultérieurs, iPod touch 6e génération et modèles ultérieurs.

Conséquence : le traitement d’un contenu Web malveillant peut entraîner l’exécution arbitraire de code.

Description : plusieurs problèmes de corruption de la mémoire ont été résolus par une meilleure gestion de celle-ci.

CVE-2016-7578 : Apple

Entrée ajoutée le 27 octobre 2016

Les informations se rapportant à des produits non fabriqués par Apple, ou à des sites Web indépendants qui ne sont ni contrôlés ni testés par Apple, sont fournies uniquement à titre indicatif et ne constituent aucune recommandation. Apple ne saurait être tenu pour responsable de tout problème lié à l’utilisation de tels sites ou produits tiers, ou à leurs performances. Apple ne garantit en aucune façon la fiabilité d’un site Web, ou l’exactitude des informations que ce dernier propose. L’utilisation d’Internet induit en effet des risques. Contactez le fournisseur pour obtenir des informations supplémentaires. Les autres noms de société et de produit peuvent constituer des marques déposées de leurs détenteurs respectifs.

Date de publication: